summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorFenner Macrae2018-08-01 02:48:11 -0700
committerFenner Macrae2018-08-01 02:48:11 -0700
commitc2bafd8587f18b790cc3ab406c9db7c882512f19 (patch)
treec238efedeaa5b548386d1c57f873c61ae6e582c3
parent687f8e0dd8d54d99bfb0e8eac2566e0974b651dd (diff)
downloadaur-c2bafd8587f18b790cc3ab406c9db7c882512f19.tar.gz
Update PKGBUILD version and fixed pydocstyle dependency
-rw-r--r--.SRCINFO13
-rw-r--r--PKGBUILD18
2 files changed, 13 insertions, 18 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 3adb30decbc..825ef3fd9a3 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,12 +1,12 @@
pkgbase = python-prospector
pkgdesc = Python static analysis tool
- pkgver = 0.12.7
+ pkgver = 1.1
pkgrel = 1
- url = https://github.com/landscapeio/prospector
+ url = https://github.com/PyCQA/prospector
arch = any
license = GPL2
makedepends = python-setuptools
- makedepends = pydocstyle
+ makedepends = python-pydocstyle
makedepends = python-pep8-naming
makedepends = python-mccabe
makedepends = python-pycodestyle
@@ -17,11 +17,8 @@ pkgbase = python-prospector
makedepends = python-requirements-detector
makedepends = python-pylint-common
makedepends = python-pylint-plugin-utils
- makedepends = python-pylint-django
- makedepends = python-pylint-celery
- makedepends = python-pylint-flask
- source = https://github.com/landscapeio/prospector/archive/0.12.7.tar.gz
- md5sums = SKIP
+ source = https://github.com/PyCQA/prospector/archive/1.1.tar.gz
+ md5sums = 33b1ef12a82fb1cc6d07cc6a478795d4
pkgname = python-prospector
diff --git a/PKGBUILD b/PKGBUILD
index 68fad6c3b82..8dc54163679 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,12 +1,12 @@
# Maintainer: Sven-Hendrik Haase <sh@lutzhaase.com>
pkgname=python-prospector
-pkgver=0.12.7
+pkgver=1.1.1
pkgrel=1
pkgdesc="Python static analysis tool"
arch=('any')
makedepends=('python-setuptools'
- 'pydocstyle'
+ 'python-pydocstyle'
'python-pep8-naming'
'python-mccabe'
'python-pycodestyle'
@@ -16,16 +16,14 @@ makedepends=('python-setuptools'
'python-setoptconf'
'python-requirements-detector'
'python-pylint-common'
- 'python-pylint-plugin-utils'
- 'python-pylint-django'
- 'python-pylint-celery'
- 'python-pylint-flask')
+ 'python-pylint-plugin-utils')
optdeps=('python-pyroma: check setup.py'
- 'python-vulture: find dead code')
-url="https://github.com/landscapeio/prospector"
+ 'python-vulture: find dead code'
+ 'python-mypy: optional type checking')
+url="https://github.com/PyCQA/prospector"
license=('GPL2')
-source=(https://github.com/landscapeio/prospector/archive/${pkgver}.tar.gz)
-md5sums=('SKIP')
+source=(${url}/archive/${pkgver}.tar.gz)
+md5sums=('33b1ef12a82fb1cc6d07cc6a478795d4')
build() {
cd "$srcdir/${pkgname#python-}-$pkgver"